
(function() {
    if (!cc.sys.isMobile) return ;
    if (typeof(sdkbox) == 'undefined') return ;
    if (typeof(sdkbox.firebase) == 'undefined') return ;
    if (typeof(sdkbox.firebase.Analytics) == 'undefined') return ;

    // firebase event
    // https://firebase.google.com/docs/reference/cpp/group/event-names
    sdkbox.firebase.Analytics.Event.kEventAddPaymentInfo       = "add_payment_info";
    sdkbox.firebase.Analytics.Event.kEventAddToCart            = "add_to_cart";
    sdkbox.firebase.Analytics.Event.kEventAddToWishlist        = "add_to_wishlist";
    sdkbox.firebase.Analytics.Event.kEventAppOpen              = "app_open";
    sdkbox.firebase.Analytics.Event.kEventBeginCheckout        = "begin_checkout";
    sdkbox.firebase.Analytics.Event.kEventCampaignDetails      = "campaign_details";
    sdkbox.firebase.Analytics.Event.kEventCheckoutProgress     = "checkout_progress";
    sdkbox.firebase.Analytics.Event.kEventEarnVirtualCurrency  = "earn_virtual_currency";
    sdkbox.firebase.Analytics.Event.kEventEcommercePurchase    = "ecommerce_purchase";
    sdkbox.firebase.Analytics.Event.kEventGenerateLead         = "generate_lead";
    sdkbox.firebase.Analytics.Event.kEventJoinGroup            = "join_group";
    sdkbox.firebase.Analytics.Event.kEventLevelEnd             = "level_end";
    sdkbox.firebase.Analytics.Event.kEventLevelStart           = "level_start";
    sdkbox.firebase.Analytics.Event.kEventLevelUp              = "level_up";
    sdkbox.firebase.Analytics.Event.kEventLogin                = "login";
    sdkbox.firebase.Analytics.Event.kEventPostScore            = "post_score";
    sdkbox.firebase.Analytics.Event.kEventPresentOffer         = "present_offer";
    sdkbox.firebase.Analytics.Event.kEventPurchaseRefund       = "purchase_refund";
    sdkbox.firebase.Analytics.Event.kEventRemoveFromCart       = "remove_from_cart";
    sdkbox.firebase.Analytics.Event.kEventSearch               = "search";
    sdkbox.firebase.Analytics.Event.kEventSelectContent        = "select_content";
    sdkbox.firebase.Analytics.Event.kEventSetCheckoutOption    = "set_checkout_option";
    sdkbox.firebase.Analytics.Event.kEventShare                = "share";
    sdkbox.firebase.Analytics.Event.kEventSignUp               = "sign_up";
    sdkbox.firebase.Analytics.Event.kEventSpendVirtualCurrency = "spend_virtual_currency";
    sdkbox.firebase.Analytics.Event.kEventTutorialBegin        = "tutorial_begin";
    sdkbox.firebase.Analytics.Event.kEventTutorialComplete     = "tutorial_complete";
    sdkbox.firebase.Analytics.Event.kEventUnlockAchievement    = "unlock_achievement";
    sdkbox.firebase.Analytics.Event.kEventViewItem             = "view_item";
    sdkbox.firebase.Analytics.Event.kEventViewItemList         = "view_item_list";
    sdkbox.firebase.Analytics.Event.kEventViewSearchResults    = "view_search_results";

    // firebase param
    // https://firebase.google.com/docs/reference/cpp/group/parameter-names#kparameterlevel
    sdkbox.firebase.Analytics.Param.kParameterAchievementID       = "achievement_id";
    sdkbox.firebase.Analytics.Param.kParameterAdNetworkClickID    = "aclid";
    sdkbox.firebase.Analytics.Param.kParameterAffiliation         = "affiliation";
    sdkbox.firebase.Analytics.Param.kParameterCP1                 = "cp1";
    sdkbox.firebase.Analytics.Param.kParameterCampaign            = "campaign";
    sdkbox.firebase.Analytics.Param.kParameterCharacter           = "character";
    sdkbox.firebase.Analytics.Param.kParameterCheckoutOption      = "checkout_option";
    sdkbox.firebase.Analytics.Param.kParameterCheckoutStep        = "checkout_step";
    sdkbox.firebase.Analytics.Param.kParameterContent             = "content";
    sdkbox.firebase.Analytics.Param.kParameterContentType         = "content_type";
    sdkbox.firebase.Analytics.Param.kParameterCoupon              = "coupon";
    sdkbox.firebase.Analytics.Param.kParameterCreativeName        = "creative_name";
    sdkbox.firebase.Analytics.Param.kParameterCreativeSlot        = "creative_slot";
    sdkbox.firebase.Analytics.Param.kParameterCurrency            = "currency";
    sdkbox.firebase.Analytics.Param.kParameterDestination         = "destination";
    sdkbox.firebase.Analytics.Param.kParameterEndDate             = "end_date";
    sdkbox.firebase.Analytics.Param.kParameterFlightNumber        = "flight_number";
    sdkbox.firebase.Analytics.Param.kParameterGroupID             = "group_id";
    sdkbox.firebase.Analytics.Param.kParameterIndex               = "index";
    sdkbox.firebase.Analytics.Param.kParameterItemBrand           = "item_brand";
    sdkbox.firebase.Analytics.Param.kParameterItemCategory        = "item_category";
    sdkbox.firebase.Analytics.Param.kParameterItemID              = "item_id";
    sdkbox.firebase.Analytics.Param.kParameterItemList            = "item_list";
    sdkbox.firebase.Analytics.Param.kParameterItemLocationID      = "item_location_id";
    sdkbox.firebase.Analytics.Param.kParameterItemName            = "item_name";
    sdkbox.firebase.Analytics.Param.kParameterItemVariant         = "item_variant";
    sdkbox.firebase.Analytics.Param.kParameterLevel               = "level";
    sdkbox.firebase.Analytics.Param.kParameterLevelName           = "level_name";
    sdkbox.firebase.Analytics.Param.kParameterLocation            = "location";
    sdkbox.firebase.Analytics.Param.kParameterMedium              = "medium";
    sdkbox.firebase.Analytics.Param.kParameterNumberOfNights      = "number_of_nights";
    sdkbox.firebase.Analytics.Param.kParameterNumberOfPassengers  = "number_of_passengers";
    sdkbox.firebase.Analytics.Param.kParameterNumberOfRooms       = "number_of_rooms";
    sdkbox.firebase.Analytics.Param.kParameterOrigin              = "origin";
    sdkbox.firebase.Analytics.Param.kParameterPrice               = "price";
    sdkbox.firebase.Analytics.Param.kParameterQuantity            = "quantity";
    sdkbox.firebase.Analytics.Param.kParameterScore               = "score";
    sdkbox.firebase.Analytics.Param.kParameterSearchTerm          = "search_term";
    sdkbox.firebase.Analytics.Param.kParameterShipping            = "shipping";
    sdkbox.firebase.Analytics.Param.kParameterSignUpMethod        = "sign_up_method";
    sdkbox.firebase.Analytics.Param.kParameterSource              = "source";
    sdkbox.firebase.Analytics.Param.kParameterStartDate           = "start_date";
    sdkbox.firebase.Analytics.Param.kParameterSuccess             = "success";
    sdkbox.firebase.Analytics.Param.kParameterTax                 = "tax";
    sdkbox.firebase.Analytics.Param.kParameterTerm                = "term";
    sdkbox.firebase.Analytics.Param.kParameterTransactionID       = "transaction_id";
    sdkbox.firebase.Analytics.Param.kParameterTravelClass         = "travel_class";
    sdkbox.firebase.Analytics.Param.kParameterValue               = "value";
    sdkbox.firebase.Analytics.Param.kParameterVirtualCurrencyName = "virtual_currency_name";
})();
